Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.validation
Class ReportJobValidator

    java.lang.Object
      com.jaspersoft.jasperserver.war.validation.ReportJobValidator

All Implemented Interfaces:
  org.springframework.validation.Validator

    public class ReportJobValidator

extends java.lang.Object
implements org.springframework.validation.Validator

Version:
  $Id: ReportJobValidator.java 10045 2007-09-13 14:10:10Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ReportJobValidator()`

Method Summary
`ReportSchedulingService` | `getSchedulingService()`
`ValidationErrorsUtils` | `getValidationUtils()`
`void` | `setSchedulingService(ReportSchedulingService schedulingService)`
`void` | `setValidationUtils(ValidationErrorsUtils validationUtils)`
`boolean` | `supports(java.lang.Class clazz)`
`void` | `validate(java.lang.Object obj, org.springframework.validation.Errors errors)`
`protected void` | `validate(ReportJob job, org.springframework.validation.Errors errors, java.lang.String[] fieldPrefixes)`
`void` | `validateJobDetails(ReportJob job, org.springframework.validation.Errors errors)`
`void` | `validateJobOutput(ReportJob job, org.springframework.validation.Errors errors)`
`void` | `validateJobTrigger(ReportJob job, org.springframework.validation.Errors errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportJobValidator

    public ReportJobValidator()

Method Detail

### getSchedulingService

    public ReportSchedulingService getSchedulingService()

### setSchedulingService

    public void setSchedulingService(ReportSchedulingService schedulingService)

### getValidationUtils

    public ValidationErrorsUtils getValidationUtils()

### setValidationUtils

    public void setValidationUtils(ValidationErrorsUtils validationUtils)

### supports

    public boolean supports(java.lang.Class clazz)

  Specified by:
    `supports` in interface `org.springframework.validation.Validator`

### validateJobDetails

    public void validateJobDetails(ReportJob job,
                                   org.springframework.validation.Errors errors)

### validateJobTrigger

    public void validateJobTrigger(ReportJob job,
                                   org.springframework.validation.Errors errors)

### validateJobOutput

    public void validateJobOutput(ReportJob job,
                                  org.springframework.validation.Errors errors)

### validate

    public void validate(java.lang.Object obj,
                         org.springframework.validation.Errors errors)

  Specified by:
    `validate` in interface `org.springframework.validation.Validator`

### validate

    protected void validate(ReportJob job,
                            org.springframework.validation.Errors errors,
                            java.lang.String[] fieldPrefixes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.